/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import java.util.List;
import java.awt.Canvas;
import javax.swing.JTabbedPane;

/**
 *
 * @author Emanuelle Passos
 */
public class RecordFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form RecordFormPanel
     */
    public RecordFormPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {
        
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        tfOccupational_area = new javax.swing.JTextField();
        tfProfessionalName = new javax.swing.JTextField();
        tfRecord = new javax.swing.JTextField();

        jLabel1.setText("Professional area");

        jLabel2.setText("Professional name");

        jLabel3.setText("Record");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(tfOccupational_area, javax.swing.GroupLayout.PREFERRED_SIZE, 217, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(tfProfessionalName)
                            .addComponent(tfRecord))))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(tfOccupational_area, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(tfProfessionalName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3)
                    .addComponent(tfRecord, javax.swing.GroupLayout.PREFERRED_SIZE, 135, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Record", jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );
    }// </editor-fold>                        


    // Variables declaration - do not modify                     
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTextField tfOccupational_area;
    private javax.swing.JTextField tfProfessionalName;
    private javax.swing.JTextField tfRecord;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie jLabel1*/
    public JLabel getJLabel1(){
        return this.jLabel1;
    }//end method getJLabel1

    /**SET Method Propertie jLabel1*/
    public void setJLabel1(JLabel jLabel1){
        this.jLabel1 = jLabel1;
    }//end method setJLabel1

    /**GET Method Propertie jLabel2*/
    public JLabel getJLabel2(){
        return this.jLabel2;
    }//end method getJLabel2

    /**SET Method Propertie jLabel2*/
    public void setJLabel2(JLabel jLabel2){
        this.jLabel2 = jLabel2;
    }//end method setJLabel2

    /**GET Method Propertie jLabel3*/
    public JLabel getJLabel3(){
        return this.jLabel3;
    }//end method getJLabel3

    /**SET Method Propertie jLabel3*/
    public void setJLabel3(JLabel jLabel3){
        this.jLabel3 = jLabel3;
    }//end method setJLabel3

    /**GET Method Propertie jPanel1*/
    public JPanel getJPanel1(){
        return this.jPanel1;
    }//end method getJPanel1

    /**SET Method Propertie jPanel1*/
    public void setJPanel1(JPanel jPanel1){
        this.jPanel1 = jPanel1;
    }//end method setJPanel1

    /**GET Method Propertie jTabbedPane1*/
    public JTabbedPane getJTabbedPane1(){
        return this.jTabbedPane1;
    }//end method getJTabbedPane1

    /**SET Method Propertie jTabbedPane1*/
    public void setJTabbedPane1(JTabbedPane jTabbedPane1){
        this.jTabbedPane1 = jTabbedPane1;
    }//end method setJTabbedPane1

    /**GET Method Propertie tfOccupational_area*/
    public JTextField getTfOccupational_area(){
        return this.tfOccupational_area;
    }//end method getTfOccupational_area

    /**SET Method Propertie tfOccupational_area*/
    public void setTfOccupational_area(JTextField tfOccupational_area){
        this.tfOccupational_area = tfOccupational_area;
    }//end method setTfOccupational_area

    /**GET Method Propertie tfProfessionalName*/
    public JTextField getTfProfessionalName(){
        return this.tfProfessionalName;
    }//end method getTfProfessionalName

    /**SET Method Propertie tfProfessionalName*/
    public void setTfProfessionalName(JTextField tfProfessionalName){
        this.tfProfessionalName = tfProfessionalName;
    }//end method setTfProfessionalName

    /**GET Method Propertie tfRecord*/
    public JTextField getTfRecord(){
        return this.tfRecord;
    }//end method getTfRecord

    /**SET Method Propertie tfRecord*/
    public void setTfRecord(JTextField tfRecord){
        this.tfRecord = tfRecord;
    }//end method setTfRecord

    //End GetterSetterExtension Source Code
//!
}
